:host {
  display: block;
}

.validation-state {
  margin: 2rem 0;
  text-align: center;
  font-size: 0.8rem;
}

.submit-form-btn {
  background-color: #ff6600;
  padding: 0.7em;
  color: white;
  border: 0;
  width: 100%;
  border-radius: 0.3em;
}
.submit-form-btn:hover {
  background-color: #ff7e27;
  cursor: pointer;
  transition: background-color 0.3s;
}

.submit-form-btn:disabled {
  background-color: gray;
  transition: background-color 0.3s;
}

.validState {
  color: #8abe1d;
}
.inValidState {
  color: #e13c3c;
}
